 
#define CAPTEUR A0
//#define SEUIL A1

#define LED 4
 
//Valeurs par défaut
int luminosite = 0; 
int seuil = 100; 
 
void setup() {
  //Initialisation de la liaison série 
  Serial.begin(9600);
 
  //Led en sortie
  pinMode(LED, OUTPUT);
  
}
 
void loop() {
 
  //On récupère la valeur du seuil
  luminosite = analogRead(CAPTEUR);
  //Monitoring
  Serial.print("Luminosite = ");
  Serial.print(luminosite);
  
  //On récupère la valeur du seuil
  //seuil = analogRead(SEUIL);
  //Monitoring
  Serial.print(" / Seuil = ");
  Serial.print(seuil);
 
  //Allumage de la led si la luminosité est inférieur au seuil
  if(luminosite < seuil) {
    digitalWrite(LED, HIGH);
    //Monitoring
    Serial.println(" / LED ON");
    
  //Dans le cas contraire, on l'éteint
  } else {
    digitalWrite(LED, LOW);
    //Monitoring
    Serial.println(" / LED OFF");
  }
 
  //Petite pause
  delay(20);
}
